#$Id$ 
#$Copyright$

package VRTS::Enclosure::VDID::NetApp;
use strict;
use Carp;
require Exporter;


sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::NetApp;
    return $module;

}

sub get_enclosure_vdid
{
    my ($self, $vendor, $product, $cabsno) = @_;

    return $vendor . '_' . $cabsno if ($vendor and $cabsno);
    return undef;
}


sub get_disk_vdid
{
    my ($self, $vendor_cabsno, $product, $serial, $is_pdev, $pdev_name) = @_;

    if (not defined $is_pdev or $is_pdev == 1)
    {
        return _get_pdev_vdid($vendor_cabsno, $pdev_name);
    } 

 # We want to generate an ldev vdid.
    return $vendor_cabsno . '_' . $serial;
}

sub _get_pdev_vdid
{
    my ($vendor_cabsno, $pdev_name) = @_;

    return $vendor_cabsno . '_' . $pdev_name;
}

1;
