#$Copyright$

package VRTS::Enclosure::VDID::SVC;
use strict;

sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $class = shift;

    my $module = new VRTS::Enclosure::VDID::SVC;
    return $module;
}

sub get_enclosure_vdid
{
    my $self = shift;
    my $vendor = shift;
    my $model = shift;
    my $id = shift;

    return $vendor."_".$model."_".$id if ($vendor && $model && $id);
    return undef;
}

sub get_disk_vdid
{
    my $self = shift;
    my $vendor = shift;
    my $model = shift;
    my $cabsno = shift;
    my $serial = shift;
    my $is_pdev = shift;
    my $pdev_name = shift;

    if (not defined $is_pdev or $is_pdev == 1)
    {
        return _get_pdev_vdid ($vendor, $cabsno, $pdev_name);
    } 
    return $vendor."_".$cabsno."_".$serial;
}

sub _get_pdev_vdid
{
    my $vendor = shift;
    my $cabsno = shift;
    my $pdev_name = shift;

    return $vendor."_".$cabsno."_".$pdev_name;
}

1;
