#$Id$
#$copyright$

package VRTS::Enclosure::VDID::Symmetrix;
use strict;
use Carp;
require Exporter;


sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::Symmetrix;
    return $module;

}

sub get_enclosure_vdid
{
    my ($self, $vendor, $product, $cabsno) = @_;

    return $vendor.$cabsno if ($vendor and $cabsno);
    return undef;
}

sub get_disk_vdid
{
    my ($self, $vendor, $product, $cabsno, $serial, $is_pdev, $pdev_name) = @_;

    if (not defined $is_pdev or $is_pdev == 1)
    {
        return _get_pdev_vdid($vendor, $product, $cabsno, $serial, $pdev_name);
    } 

    # We want to generate an ldev vdid.
    return $vendor.$cabsno.$serial;
}

sub _get_pdev_vdid
{
    my ($vendor, $product, $cabsno, $serial, $pdev_name) = @_;

    return $vendor.$cabsno.$pdev_name;
}

1;
