#!/opt/VRTSsfmh/bin/perl

#$Id$
#$Copyright$

BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ) }

use lib;
use strict;
use CGI;
use JSON;
use File::Spec;
use IO::Handle;
use VRTS::Util;

my $appdir = VRTS::Paths::get_path("AppDir");
my $log_dir = File::Spec->catdir($appdir,"logs");
my $installdir  = VRTS::Paths::get_path ("InstallDir");

main();

sub main{
    my $log = new VRTS::Logger(Module => 'sisdk', Logdir => $log_dir, Level => 'debug', Logfile => 'sisdkui.log', UmiString => '');

    my $query = new CGI();
    print "Content-type:text/html\r\n\r\n";
    my $configParamSets = $query->cookie('iConfigureParams');	
    my $javaScript = ' <SCRIPT id="toggleTableField" type="text/javascript"> toggleTableField(false) </SCRIPT>'; 

    VRTS::Logger::log('debug', "configParamSets from cookie = $configParamSets ");

    my $cliCommand = $query->cookie('cliCommand');

    if ("" eq $configParamSets) {
      print join "",  getConfigureHeader(), oneEmptyRow(), $javaScript, getConfigureTableEnd(); 
    }else{
      print join "",  getConfigureHeader(), getConfigParameters("", $query), $javaScript, getConfigureTableEnd();
    }
}

sub getConfigParameters{
    my ($OriginalConfig, $query) = @_;
    my $configParamSets = $query->cookie('iConfigureParams');
    my @configParamArray = split(':::', $configParamSets);
    my $size = @configParamArray;
    my $parmCount = 0;
    my $parameterRows = "";
    my $clipNames;
    foreach my $oneSet (@configParamArray) {
        if (length($oneSet)>3) {
            my @params = split(',,,', $oneSet);
            my $displayName = @params[0];
            my $cliName = @params[1];
            my $defaultValue = @params[2];
            my $dataType = @params[3];
            my $mandatory = @params[4];
            my $testValue = @params[5];
            
          

            my $oneParamSet ="";
            $oneParamSet = join "", $oneParamSet, '<tr id="rowCount_',  $parmCount, '">';
            $oneParamSet = join "", $oneParamSet, '<td><input type="text" name="nameField_', $parmCount, '" id="nameField_', $parmCount, '" value="', $displayName, '" ></td>';
            $oneParamSet = join "", $oneParamSet, '<td><input type="text" name="cliNameField_', $parmCount, '" id="cliNameField_', $parmCount, '" value="', $cliName,'" onblur="updateCommand(this)"></td>';
            $oneParamSet = join "", $oneParamSet, '<td><input type="text" name="defaultValueField_', $parmCount, '" id="defaultValueField_', $parmCount, '" value="', $defaultValue ,'"></td>';
            $oneParamSet = join "", $oneParamSet, '<td><select name="dataTypeSelect_', $parmCount, '" id="dataTypeSelect_', $parmCount, '" value="', $dataType ,'">';
            
            if ("STRING" eq $dataType) {
                $oneParamSet = join "", $oneParamSet, '<option value="STRING" selected="selected">String</option>';
            }else{
                $oneParamSet = join "", $oneParamSet, '<option value="STRING">String</option>';
            }
            if ("INTEGER" eq $dataType) {
                $oneParamSet = join "", $oneParamSet, '<option value="INTEGER" selected="selected">Integer</option>';
            }else{
                $oneParamSet = join "", $oneParamSet, '<option value="INTEGER">Integer</option>';
            }
            if ("PASSWORD_STRING" eq $dataType) {
                $oneParamSet = join "", $oneParamSet, '<option value="PASSWORD_STRING" selected="selected">Password</option>';
            }else{
                $oneParamSet = join "", $oneParamSet, '<option value="PASSWORD_STRING">Password</option>';
            }         
            if ("BOOLEAN" eq $dataType) {
                $oneParamSet = join "", $oneParamSet, '<option value="BOOLEAN" selected="selected">Boolean</option>';
            }else{
                $oneParamSet = join "", $oneParamSet, '<option value="BOOLEAN">Boolean</option>';
            }
            $oneParamSet = join "", $oneParamSet, '</select>';
            $oneParamSet = join "", $oneParamSet, '</td>';
            
            $oneParamSet = join "", $oneParamSet, '<td><select name="MandatorySelect_', $parmCount, '" id="MandatorySelect_',$parmCount, '">';
            if ("1" eq $mandatory) {
               $oneParamSet = join "", $oneParamSet, '<option value="1" selected="selected">Yes</option>';	
            }else{
               $oneParamSet = join "", $oneParamSet, '<option value="1" selected="selected">Yes</option>';	
            }            
            if ("0" eq $mandatory) {
                $oneParamSet = join "", $oneParamSet, '<option value="0" selected="selected">No</option>';
            }else{
                $oneParamSet = join "", $oneParamSet, '<option value="0">No</option>';
            }
            $oneParamSet = join "", $oneParamSet, '</select>';
            $oneParamSet = join "", $oneParamSet, '</td>';
                                                  
            if ($parmCount == 0) {
                $oneParamSet = join "", $oneParamSet, '<td nowrap="nowrap" width="60">';
                $oneParamSet = join "", $oneParamSet, '<a onclick="addRow(\'tbConfigParamTable\')" id="HrAddDirSynchPair1" href="javascript:void(0);"> <img border="0" title="Add row" src="images/add_tab.gif" id="ImDirSynchAdd1" alt="Add row"></a>';
                $oneParamSet = join "", $oneParamSet, '</td>';
            }else{  
                $oneParamSet = join "", $oneParamSet, '<td>';
                $oneParamSet = join "", $oneParamSet, '<div><a href="javascript:void(0);"';
                $oneParamSet = join "", $oneParamSet, ' onclick="deleteRow(&quot;rowCount_', $parmCount,'&quot;)" id="HrDelRow_4"><img';
                $oneParamSet = join "", $oneParamSet, ' border="0" id="ImDeleteRow_', $parmCount, '" alt="Delete row"';
                $oneParamSet = join "", $oneParamSet, ' src="images/subtract_tab.gif" title="Delete row"></a></div>';
                $oneParamSet = join "", $oneParamSet, '</td>';
            }
            $oneParamSet = join "", $oneParamSet, '</tr>';
  
            $parameterRows = join "", $parameterRows, $oneParamSet;
            $parmCount = $parmCount + 1;
        }
    } 
    #$parameterRows = join "", $parameterRows, "<SCRIPT>var cliNames ='", $clipNames ,"'; buildCliCommandArray(cliNames);</SCRIPT>";  
    VRTS::Logger::log('debug', "-----------------parameter row---------------------------");
    return $parameterRows;
}

sub getConfigureHeader(){
    my $header ="";
   # $header = join "", $header, '<tr class="component_title">';
   # $header = join "", $header, '<td height="25" colspan="6" valign="middle">';
   # $header = join "", $header, '<table><tr><td><input type="checkbox" onclick="toggleTable(tbConfigParamTable)" name="chEnableCliParameter" id="chEnableCliParameter" value="enableCliParameter" /></td>';
   # $header = join "", $header, '<td><b>Specify Parameters Required to Configure a New Device of the Plugin Family</b></td>';
   # $header = join "", $header, '</tr>
   # $header = join "", $header, '</table></td>';
  #  $header = join "", $header, '</tr>';
   $header .= '<table width="100%" border="0" ellpadding="1" cellspacing="1"';
   $header .= 'class="middletable" id="tbConfigParamTable" valign="top">';
   $header .= '<tbody id="tbodyCliParameter">';

    $header = join "",	$header, '<tr>';
    $header = join "", $header, '<td height="10" colspan="6"></td>';
    $header = join "", $header, '</tr>';
    $header = join "",	$header, '<tr style="">';
    $header = join "", $header, '<td width="100" class="contentpane1" style="">Display Name</td>';
    $header = join "",	$header, '<td  class="contentpane1" style="">CLI Option</td>';
    $header = join "",	$header, '<td width="100" class="contentpane1" style="">Default Value</td>';
    $header = join "", $header, '<td width="80" class="contentpane1" style="">Data Type</td>';
    $header = join "", $header, '<td width="60" class="contentpane1" style="">Mandatory</td>';
    $header = join "", $header, '<td width="60">&nbsp;</td>';
    $header = join "", $header, '</tr>';
  VRTS::Logger::log('debug', "-----------------header ---------------------------");
    return $header;
}

sub oneEmptyRow(){
my $emptyRow =<<ONE_ROW;
  <tr>
    <td width="100">
         <input type="text" value="" id="nameField_0" class="inputbox" name="nameField_0">
    </td>
    <td width="50">
        <input type="text" value="" id="cliNameField_0"  class="inputbox" name="cliNameField_0" onBlur="updateCommand(this)">
    </td>
    <td width="100">
        <input type="text" value="" id="defaultValueField_0"  class="inputbox" name="defaultValueField_0">
    </td>
    <td width="80">
        <select id="dataTypeSelect_0" class="listmenu" name="dataTypeSelect_0">
            <option value="STRING">String</option>
            <option value="INTEGER">Integer</option>
            <option value="PASSWORD_STRING">Password</option>
            <option value="BOOLEAN">Boolean</option>
        </select>
    </td>
    <td width="60"><select id="MandatorySelect_0" class="listmenu1" name="MandatorySelect_0">
            <option value="1">Yes</option>
            <option selected="selected" value="0">No</option>
          </select>
    </td>
    <td nowrap="nowrap" width="60">
          <a onclick="addRow('tbConfigParamTable')" id="HrAddDirSynchPair1" href="javascript:void(0);"> <img border="0" title="Add row" src="images/add_tab.gif" id="ImDirSynchAdd1" alt="Add row"></a> 
    </td>
</tr>
ONE_ROW

return $emptyRow;
}

sub getConfigureTableEnd{
    my $end ="";
       $end .='</tbody>';
       $end .='</table>';
    return $end;
}

